package com.luojigou.xiaodou

sealed class XDScanBLEStatus {
    object Idle : XDScanBLEStatus()
    sealed class Error : XDScanBLEStatus()

    object Permission : Error()
    object Disabled : Error()
    object NotSupported : Error()

    object Waiting : XDScanBLEStatus()
    object Scanning : XDScanBLEStatus()
}