package com.luojigou.xiaodou.ble

import android.os.Bundle
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import androidx.fragment.app.Fragment
import androidx.recyclerview.widget.GridLayoutManager
import androidx.recyclerview.widget.RecyclerView
import com.luojigou.xiaodou.R
import com.luojigou.xiaodou.XDScanBLEAdapter

class XDScanBLENormalFragment(private val host: XDScanBLEStatus.Host) : Fragment() {
    private val adapter = XDScanBLEAdapter()

    private val layoutManager by lazy {
        GridLayoutManager(requireContext(), 2, RecyclerView.VERTICAL, false)
    }

    override fun onCreateView(
        inflater: LayoutInflater, container: ViewGroup?, savedInstanceState: Bundle?
    ): View? {
        return super.onCreateView(inflater, container, savedInstanceState)
    }

    override fun onViewCreated(view: View, savedInstanceState: Bundle?) {
        super.onViewCreated(view, savedInstanceState)

        val recyclerView = view.findViewById<RecyclerView>(R.id.scan_list)

        recyclerView.layoutManager = layoutManager
        recyclerView.adapter = adapter
    }


}