package com.luojigou.xiaodou.ble

import android.net.wifi.WifiManager

sealed class XDScanBLEStatus {
    object Disabled : XDScanBLEStatus()
    object Permission : XDScanBLEStatus()
    object NotSupported : XDScanBLEStatus()
    object Normal : XDScanBLEStatus()

    interface Host {
        fun onStatusChanged(status: XDScanBLEStatus)

        fun getWifiManager(): WifiManager
    }
}