package com.luojigou.xiaodou

import android.annotation.SuppressLint
import android.app.Service
import android.content.Intent
import android.os.Binder
import android.os.IBinder
import androidx.bluetooth.BluetoothLe
import androidx.bluetooth.ScanFilter
import androidx.bluetooth.ScanResult
import kotlinx.coroutines.flow.Flow

@SuppressLint("MissingPermission")
class XDScanBLEService : Service() {
    private val bluetoothLe: BluetoothLe by lazy { BluetoothLe(this) }

    override fun onBind(intent: Intent?): IBinder {
        return XDScanBLEBinder(this)
    }

    class XDScanBLEBinder(private val service: XDScanBLEService) : Binder() {
        companion object {
            private val filter: List<ScanFilter> = listOf(
                ScanFilter()
            )
        }

        suspend fun scanBle(): Flow<ScanResult> {
            return service.bluetoothLe.scan(filter)
        }
    }
}